Name:          pegdown
Version:       1.4.2
Release:       14
Summary:       A pure Java library for clean and lightweight Markdown processing
License:       ASL 2.0
URL:           http://pegdown.org
Source0:       https://github.com/sirthias/pegdown/archive/%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/org/pegdown/pegdown/%{version}/pegdown-%{version}.pom
Patch0:        pegdown-rhbz1096735.patch
BuildArch:     noarch

BuildRequires: maven-local, mvn(net.sf.jtidy:jtidy), mvn(org.apache.felix:maven-bundle-plugin), mvn(org.parboiled:parboiled-java)
Provides:       %{name}-javadoc%{?_isa} %{name}-javadoc
Obsoletes:      %{name}-javadoc

%description
pegdown is a pure Java library for clean and lightweight Markdown processing
based on a parboiled PEG parser.
pegdown is nearly 100% compatible with the original Markdown specification and
fully passes the original Markdown test suite. On top of the standard Markdown
feature set pegdown implements a number of extensions similar to what other
popular Markdown processors offer.

%prep
%autosetup -p1

cp -p %{SOURCE1} pom.xml
find . -name "*.jar" -delete
find . -name "*.class" -delete

%pom_xpath_inject "pom:project" \
"<build>
  <plugins>

  </plugins>
</build>"

%pom_xpath_inject "pom:build" \
"<resources>
  <resource>
    <directory>.</directory>
    <targetPath>
      \${project.build.outputDirectory}/META-INF
    </targetPath>
    <includes>
      <include>
        LICENSE
      </include>
      <include>
        NOTICE
      </include>
    </includes>
  </resource>
</resources>"

%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin . \
"<configuration>
  <archive>
    <manifestFile>
      \${project.build.outputDirectory}/META-INF/MANIFEST.MF
    </manifestFile>
    <manifest>
      <addDefaultImplementationEntries>
        true
      </addDefaultImplementationEntries>
      <addDefaultSpecificationEntries>
        true
      </addDefaultSpecificationEntries>
    </manifest>
  </archive>
</configuration>"

%pom_add_plugin org.apache.felix:maven-bundle-plugin . \
"<extensions>
  true
</extensions>
<configuration>
  <instructions>
    <Built-By>
      \${user.name}
    </Built-By>
    <Bundle-SymbolicName>
      org.pegdown
    </Bundle-SymbolicName>
    <Bundle-Name>
      pegdown
    </Bundle-Name>
    <Bundle-Vendor>
      pegdown.org
    </Bundle-Vendor>
    <Bundle-Version>
      \${project.version}
    </Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>
      bundle-manifest
    </id>
    <phase>
      process-classes
    </phase>
    <goals>
      <goal>
        manifest
      </goal>
    </goals>
  </execution>
</executions>"

rm -rf src/test/scala/*
%pom_remove_dep org.specs2:specs2_2.9.3

%mvn_file :%{name} %{name}

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.markdown
%license LICENSE NOTICE
%{_javadocdir}/%{name}/*

%changelog
* Sat Dec 7 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.4.2-14
- Package init
